{% load static %}
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="{% static 'css/style.css' %}" />
    <link rel="shortcut icon" type="image/png" href="{% static 'favicon.ico' %}" />
    <link rel="icon" type="image/png" href="{% static 'favicon.ico' %}" />
    <title>{{ title }}</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous" />
    {% block meta %} {% endblock meta %}
  </head>

  <body class="px-5">
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <a class="navbar-brand" href="/">LAW-Dimas</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item active">
            <a class="nav-link" href="/">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/anime-list/1">Anime List</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/api/animes/" target="_blank">Anime API</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/manga-list/1">Manga List</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/api/mangas/" target="_blank">Manga API</a>
          </li>

          {% if user.is_authenticated %}
          <li class="nav-item">
            <a class="nav-link" href="/favourite-anime-list">Favourite Anime</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/favourite-manga-list">Favourite Manga</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/logout">Logout</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Welcome, {{user.username}}</a>
          </li>
          {% else %}

          <li class="nav-item">
            <a class="nav-link" href="/login">Login</a>
          </li>

          {% endif %}
        </ul>
      </div>
    </nav>
    {% block content %} {% endblock content %}
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.12.9/dist/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
  </body>

  <div class="mt-5 pt-5">
    <footer class="text-center text-lg-start footer-bottom" style="background-color: #e3fde6; width: 100%; height: auto">
      <div class="text-center text-white p-3" style="background-color: #198754">© 2023 Dimas Ichsanul Arifin | Layanan & Aplikasi Web</div>
    </footer>
  </div>
</html>
